package com.zjsgfa.project.zjsgfa.service.impl;

import com.zjsgfa.project.zjsgfa.domain.SjSjzlErrorLog;
import com.zjsgfa.project.zjsgfa.mapper.SjSjzlErrorLogMapper;
import com.zjsgfa.project.zjsgfa.service.SjSjzlErrorLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class SjSjzlErrorLogServiceImpl implements SjSjzlErrorLogService {
    @Autowired
    private SjSjzlErrorLogMapper sjSjzlErrorLogMapper;

    @Override
    public List<SjSjzlErrorLog> listByJh(Long jh) {
        List<SjSjzlErrorLog> dataList = sjSjzlErrorLogMapper.listByJh(jh);
        return dataList;
    }

    @Override
    public int add(SjSjzlErrorLog sjSjzlErrorLog) {
        return sjSjzlErrorLogMapper.add(sjSjzlErrorLog);
    }
}
